#include <bits/stdc++.h>
#define endl "\n"

using namespace std;

using ll = long long;

void solve()
{
    ll n,nm,nv,i;
    cin >> n;
    nm=1;
    nv=2*n;
    for(i=0;i<n-1;i++)
    {
        if(i%2)
        {
            cout << nm << " ";
            nm++;
        }
        else
        {
            cout << nv << " ";
            nv--;
        }
    }
    if(n%2)
    {
        cout << n+1 << endl;
    }
    else
    {
        cout << n << endl;
    }
    if(n%2==0)
    {
        for(i=0;i<n-1;i++)
        {
            if(i%2)
            {
                cout << nv << " ";
                nv--;
            }
            else
            {
                cout << nm << " ";
                nm++;
            }
        }
    }
    else
    {
        for(i=0;i<n-1;i++)
        {
            if(i%2==0)
            {
                cout << nv << " ";
                nv--;
            }
            else
            {
                cout << nm << " ";
                nm++;
            }
        }
    }

    if(n%2)
    {
        cout << n;
    }
    else
    {
        cout << n+1;
    }
}



int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    ll t=1;
    //cin >> t;
    while(t--)
    {
        solve();
    }
}